### Enumeration

# AppStream MetadataError

since: 1.0

#### Declaration

    error-domain AppStream.MetadataError

#### Description [src]

A metadata processing error.

Available since: 1.0

#### Members

`AS_METADATA_ERROR_FAILED`

  Generic failure.

  - Value: `0`
  - Nickname: `failed`
  - Available since: 1.0
`AS_METADATA_ERROR_PARSE`

  Unable to parse the metadata file.

  - Value: `1`
  - Nickname: `parse`
  - Available since: 1.0
`AS_METADATA_ERROR_FORMAT_UNEXPECTED`

  Expected catalog metadata but got metainfo metadata, or vice versa.

  - Value: `2`
  - Nickname: `format-unexpected`
  - Available since: 1.0
`AS_METADATA_ERROR_NO_COMPONENT`

  We expected a component in the pool, but couldn’t find one.

  - Value: `3`
  - Nickname: `no-component`
  - Available since: 1.0
`AS_METADATA_ERROR_VALUE_MISSING`

  A essential value is missing in the source document.

  - Value: `4`
  - Nickname: `value-missing`
  - Available since: 1.0

#### Type functions

###### as_metadata_error_quark

No description available.

since: 1.0